Bug 472985 - (staff_u) SELinux is preventing umount.hal (mount_t) "write" to system_bus_socket (system_dbusd_var_run_t).
(staff_u) SELinux is preventing umount.hal (mount_t) "write" to system_bus_so...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 17:24 EST by Matěj Cepl
Modified: 2010-06-28 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:50:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-11-25 17:24:10 EST
Souhrn:

SELinux is preventing umount.hal (mount_t) "write" to system_bus_socket
(system_dbusd_var_run_t).

Podrobný popis:

SELinux denied access requested by umount.hal. It is not expected that this
access is required by umount.hal and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Povolení přístupu:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for system_bus_socket,

restorecon -v 'system_bus_socket'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Další informace:

Kontext zdroje                staff_u:staff_r:mount_t:SystemLow-SystemHigh
Kontext cíle                 system_u:object_r:system_dbusd_var_run_t
Objekty cíle                 system_bus_socket [ sock_file ]
Zdroj                         umount.hal
Cesta zdroje                  /sbin/umount.hal
Port                          <Neznámé>
Počítač                    viklef
RPM balíčky zdroje          hal-0.5.12-12.20081027git.fc10
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.5.13-20.fc10
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall_file
Název počítače            viklef
Platforma                     Linux viklef 2.6.27.5-120.fc10.i686 #1 SMP Tue Nov
                              18 20:12:41 EST 2008 i686 i686
Počet upozornění           1
Poprvé viděno               Út 25. listopad 2008, 23:13:42 CET
Naposledy viděno             Út 25. listopad 2008, 23:13:42 CET
Místní ID                   939f11d2-8997-4603-9550-17b26a46ab88
Čísla řádků              

Původní zprávy auditu      

node=viklef type=AVC msg=audit(1227651222.143:133): avc:  denied  { write } for  pid=13051 comm="umount.hal" name="system_bus_socket" dev=dm-0 ino=3365217 scontext=staff_u:staff_r:mount_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file

node=viklef type=SYSCALL msg=audit(1227651222.143:133): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfb663a0 a2=97aff4 a3=1f items=0 ppid=13050 pid=13051 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts1 ses=1 comm="umount.hal" exe="/sbin/umount.hal" subj=staff_u:staff_r:mount_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-11-27 06:40:32 EST
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.5.13-27.fc10
Comment 2 Bug Zapper 2009-06-09 05:55:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:22:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 06:50:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.